package br.com.bancooriginal.cyberbank.awt.component;

import java.awt.Dimension;

import javax.swing.JDialog;
import javax.swing.JPanel;

import br.com.bancooriginal.cyberbank.util.CBUtil;

/**
 * JDialog que serve como indicador de espera enquanto uma acao esta sendo realizada.
 * @author filipe.sa
 *
 */
public class WaitingDialog extends JDialog{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public WaitingDialog(JPanel panel){
		
	    PainelImagem p1 = new PainelImagem(CBUtil.createImage("images/loading2.gif"));
	    this.setUndecorated(true);
	    this.getContentPane().add(p1);
	    this.setSize(new Dimension(100, 100));
	    this.setLocationRelativeTo(panel);
	    this.setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
	    this.setModal(true);
		
	}

}
